// Property.java

// Show what's in the System's "properties"...

import java.util.*;

public class Property {
    public static void main(String[] args) {
        System.out.println(new Date());
        Properties p = System.getProperties();
        p.list(System.out);
        System.out.println("\n-- Memory Usage --");
        Runtime rt = Runtime.getRuntime();
        System.out.println("Total Memory = "
                            + rt.totalMemory()
                            + "  Free Memory: "
                            + rt.freeMemory());
    }
}

/***** Execution output:

Fri Aug 10 16:30:32 PDT 2001
-- listing properties --
java.runtime.name=Java(TM) 2 Runtime Environment, Stand...
sun.boot.library.path=C:\JDK1.3.1\JRE\bin
java.vm.version=1.3.1-b24
java.vm.vendor=Sun Microsystems Inc.
java.vendor.url=http://java.sun.com/
path.separator=;
java.vm.name=Java HotSpot(TM) Client VM
file.encoding.pkg=sun.io
java.vm.specification.name=Java Virtual Machine Specification
user.dir=C:\WINDOWS\Desktop\aa
java.runtime.version=1.3.1-b24
java.awt.graphicsenv=sun.awt.Win32GraphicsEnvironment
os.arch=x86
java.io.tmpdir=C:\Tmp\
line.separator=

java.vm.specification.vendor=Sun Microsystems Inc.
java.awt.fonts=
os.name=Windows Me
java.library.path=C:\JDK1.3.1\BIN;.;C:\WINDOWS\SYSTEM;C...
java.specification.name=Java Platform API Specification
java.class.version=47.0
os.version=4.90
user.home=C:\WINDOWS
user.timezone=America/Los_Angeles
java.awt.printerjob=sun.awt.windows.WPrinterJob
file.encoding=Cp1252
java.specification.version=1.3
user.name=bpollack
java.class.path=.;C:\VisualCafe\BIN\COMPONENTS\SYMBEA...
java.vm.specification.version=1.0
java.home=C:\JDK1.3.1\JRE
user.language=en
java.specification.vendor=Sun Microsystems Inc.
awt.toolkit=sun.awt.windows.WToolkit
java.vm.info=mixed mode
java.version=1.3.1
java.ext.dirs=C:\JDK1.3.1\JRE\lib\ext
sun.boot.class.path=C:\JDK1.3.1\JRE\lib\rt.jar;C:\JDK1.3....
java.vendor=Sun Microsystems Inc.
file.separator=\
java.vendor.url.bug=http://java.sun.com/cgi-bin/bugreport...
sun.cpu.endian=little
sun.io.unicode.encoding=UnicodeLittle
user.region=US
sun.cpu.isalist=pentium i486 i386

-- Memory Usage --
Total Memory = 2162688  Free Memory: 109992
Exit code: 0

*****/
